%define major       0
%define libname     %mklibname divecomputer %{major}
%define develname   %mklibname divecomputer -d

Name:       libdivecomputer
Version:    0.8.0
Release:    %mkrel 1
Summary:    Library for communication with dive computers
License:    LGPLv2
Group:      System/Libraries
URL:        https://www.libdivecomputer.org/
Source:     https://www.libdivecomputer.org/releases/%{name}-%{version}.tar.gz

%description
Libdivecomputer is a cross-platform and open source library for communication
with dive computers from various manufacturers.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:    Header files and development libraries for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   divecomputer-devel = %{version}-%{release}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libdivecomputer.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_mandir}/man3/*
%{_libdir}/libdivecomputer.so
%{_libdir}/pkgconfig/libdivecomputer.pc


%changelog
* Mon Nov 27 2023 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2010178
- new version: 0.8.0

* Tue Mar 15 2022 umeabot <umeabot> 0.6.0-4.mga9
+ Revision: 1791992
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1514045
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1298805
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 guillomovitch <guillomovitch> 0.6.0-1.mga7
+ Revision: 1187591
- new version 0.6.0

* Sun Oct 30 2016 guillomovitch <guillomovitch> 0.5.0-1.mga6
+ Revision: 1064185
- new version 0.5.0

* Wed Feb 03 2016 umeabot <umeabot> 0.4.2-4.mga6
+ Revision: 933369
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 747716
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-2.mga5
+ Revision: 681413
- Mageia 5 Mass Rebuild
+ wally <wally>
- disable static build

* Mon Feb 17 2014 guillomovitch <guillomovitch> 0.4.2-1.mga5
+ Revision: 593691
- new version 0.4.2

* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-2.mga4
+ Revision: 529070
- Mageia 4 Mass Rebuild

* Wed Jul 03 2013 guillomovitch <guillomovitch> 0.4.1-1.mga4
+ Revision: 449881
- new version

* Thu May 23 2013 guillomovitch <guillomovitch> 0.4.0-1.mga4
+ Revision: 424806
- new version

* Sat Feb 23 2013 guillomovitch <guillomovitch> 0.3.0-1.mga3
+ Revision: 400090
- new version

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 356982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 guillomovitch <guillomovitch> 0.2.0-1.mga3
+ Revision: 310395
- new version

* Mon Jun 04 2012 guillomovitch <guillomovitch> 0.1.0-1.mga3
+ Revision: 254410
- 0.1.0 release

* Sun Feb 26 2012 guillomovitch <guillomovitch> 0.0.0-0.20120226.2.mga2
+ Revision: 215423
- generate tarball from git, to fix missing headers

* Sun Feb 26 2012 guillomovitch <guillomovitch> 0.0.0-0.20120226.1.mga2
+ Revision: 215417
- new snapshot

* Fri Sep 09 2011 guillomovitch <guillomovitch> 0.0.0-0.20110909.1.mga2
+ Revision: 141748
- imported package libdivecomputer


* Fri Sep 09 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.0-0.20110909.1.mga2
- first mageia release
